Bug 1480480 - perl-RPM2-1.3-8.fc27 FTBFS: lib/RPM2.xs:157:20: error: 'RPMVSF_NOSHA1' undeclared
Summary: perl-RPM2-1.3-8.fc27 FTBFS: lib/RPM2.xs:157:20: error: 'RPMVSF_NOSHA1' undecl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-RPM2
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://koji.fedoraproject.org/koji/b...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-11 08:53 UTC by Petr Pisar
Modified: 2018-01-08 10:04 UTC (History)
5 users (show)

Fixed In Version: perl-RPM2-1.3-9.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-08 10:04:08 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Fix build with rpm >= 4.14 (764 bytes, text/plain)
2017-08-11 09:07 UTC, Panu Matilainen
no flags Details


Links
System ID Private Priority Status Summary Last Updated
CPAN 122767 0 None None None 2017-08-11 08:57:52 UTC
Red Hat Bugzilla 1474836 0 unspecified CLOSED RPM 4.14 2021-02-22 00:41:40 UTC

Internal Links: 1474836

Description Petr Pisar 2017-08-11 08:53:34 UTC
perl-RPM2-1.3-8.fc27 fails to build in F27:

gcc -I/usr/lib64/perl5/CORE -DVERSION="1.3" -DXS_VERSION="1.3" -fPIC -DRPM2_API=4013 -c -D_REENTRANT -D_GNU_SOURCE -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -fwrapv -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -g -o lib/RPM2.o lib/RPM2.c
[...]
lib/RPM2.xs: In function 'boot_RPM2':
lib/RPM2.xs:154:20: error: 'RPMVSF_NOMD5HEADER' undeclared (first use in this function); did you mean 'RPMVSF_NORSAHEADER'?
  REGISTER_CONSTANT(RPMVSF_NOMD5HEADER);
                    ^
lib/RPM2.xs:134:70: note: in definition of macro 'REGISTER_CONSTANT'
 #define REGISTER_CONSTANT(name) _populate_constant(constants, #name, name)
                                                                      ^~~~
lib/RPM2.xs:154:20: note: each undeclared identifier is reported only once for each function it appears in
  REGISTER_CONSTANT(RPMVSF_NOMD5HEADER);
                    ^
lib/RPM2.xs:134:70: note: in definition of macro 'REGISTER_CONSTANT'
 #define REGISTER_CONSTANT(name) _populate_constant(constants, #name, name)
                                                                      ^~~~
lib/RPM2.xs:157:20: error: 'RPMVSF_NOSHA1' undeclared (first use in this function); did you mean 'RPMVSF_NORSA'?
  REGISTER_CONSTANT(RPMVSF_NOSHA1);
                    ^
lib/RPM2.xs:134:70: note: in definition of macro 'REGISTER_CONSTANT'
 #define REGISTER_CONSTANT(name) _populate_constant(constants, #name, name)
                                                                      ^~~~
This is caused by upgrading rpm-devel from 4.13.0.1-41.fc27 to 4.13.90-0.git14002.1.fc27. <https://fedoraproject.org//wiki/Changes/RPM-4.14> mentions MD5 and SHA1 removal.

Comment 1 Panu Matilainen 2017-08-11 09:07:47 UTC
Created attachment 1312042 [details]
Fix build with rpm >= 4.14

As mentioned in the heads-up, we'll be handling the rebuild and fixing up build failures as they come up.

Here's the patch for reference anyway.

Comment 2 Jan Kurik 2017-08-15 08:16:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.


Note You need to log in before you can comment on or make changes to this bug.